# Project name for our application
COMPOSE_PROJECT_NAME=eris

# API configuration
API_IMAGE=eris/api
API_BUILD_TARGET=development

# Rails log level.
# Accepted values: debug, info, warn, error, fatal, or unknown
LOG_LEVEL=debug

# We would typically use `rails secret` to generate a secure token.
# It is critical that we keep this value private in production.
SECRET_KEY_BASE=asecuretokenwouldnormallygohere

# Puma supports multiple threads but in development mode we want to use
# 1 thread to ensure that we can properly debug the application.
RAILS_MAX_THREADS=1

# Puma supports multiple workers but we should stick to 1 worker in dev mode.
WEB_CONCURRENCY=1

# The database name will automatically get the Rails environment appended to it
# such as: eris_development or eris_production.
DATABASE_URL=postgresql://eris:yourpassword@db:5432/eris?encoding=utf8&pool=5&timeout=50000

# The full URL for the Redis cache. The last segment is the namespace.
CACHE_URL=redis://:yourpassword@cache:6379/0/cache
